Index: code/branches/hudelements/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/hudelements/src/modules/overlays/hud/HUDNavigation.cc	(revision 6872)
+++ code/branches/hudelements/src/modules/overlays/hud/HUDNavigation.cc	(revision 6873)
@@ -91,9 +91,16 @@
     HUDNavigation::~HUDNavigation()
     {
+      
         if (this->isInitialized())
         {
-            Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->navMarker_);
-            Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->navText_);
+	  if(!activeObjectList_.empty()) 
+	   {
+	    for(tempRadarViewable = activeObjectList_.begin(); tempRadarViewable!=activeObjectList_.end(); ++tempRadarViewable)
+	    {
+	      Ogre::OverlayManager::getSingleton().destroyOverlayElement(tempRadarViewable->second.first);
+	      Ogre::OverlayManager::getSingleton().destroyOverlayElement(tempRadarViewable->second.second);
 //            Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->aimMarker_);
+	    }
+	  }
         }
     }
@@ -172,4 +179,5 @@
       for(tempRadarViewable = activeObjectList_.begin(); tempRadarViewable!=activeObjectList_.end(); ++tempRadarViewable)
 	{
+	  COUT(0) << "check 174" << std::endl;
 	
 	//get Distance to HumanController and save it in the TextAreaOverlayElement.
@@ -178,4 +186,6 @@
 	float textLength = multi_cast<std::string>(dist).size() * tempRadarViewable->second.second->getCharHeight() * 0.3f;
 	 
+	 COUT(0) << "check 181" << std::endl;
+      
 	orxonox::Camera* cam = CameraManager::getInstance().getActiveCamera();
         if (!cam)
@@ -185,4 +195,6 @@
         Vector3 pos = transform * tempRadarViewable->first->getRVWorldPosition();
 
+	 COUT(0) << "check 190" << std::endl;
+	 
         bool outOfView;
         if (pos.z > 1.0)
@@ -208,4 +220,6 @@
                 wasOutOfView_ = true;
             }
+	    
+	     COUT(0) << "check 174" << std::endl;
 
             if (pos.x < pos.y)
@@ -232,4 +246,5 @@
             else
             {
+	       COUT(0) << "check 241" << std::endl;
                 if (pos.y < -pos.x)
                 {
@@ -254,5 +269,5 @@
         else
         {
-	  
+	   COUT(0) << "check 264" << std::endl;
 	  
             // object is in view
@@ -300,12 +315,20 @@
     void HUDNavigation::sizeChanged(){
             // use size to compensate for aspect ratio if enabled.
-        float xScale = this->getActualSize().x;
-        float yScale = this->getActualSize().y;
-        if (this->navMarker_)
-            navMarker_->setDimensions(navMarkerSize_ * xScale, navMarkerSize_ * yScale);
-//         if (this->aimMarker_)
-//             aimMarker_->setDimensions(aimMarkerSize_ * xScale, aimMarkerSize_ * yScale);
-        if (this->navText_)
-            navText_->setCharHeight(navText_->getCharHeight() * yScale);
+	float xScale = this->getActualSize().x;
+	float yScale = this->getActualSize().y;
+	
+	 if(!activeObjectList_.empty()) 
+	{
+	  for(tempRadarViewable = activeObjectList_.begin(); tempRadarViewable!=activeObjectList_.end(); ++tempRadarViewable)
+	  {
+
+	     if (tempRadarViewable->second.first)
+	      tempRadarViewable->second.first->setDimensions(navMarkerSize_ * xScale, navMarkerSize_ * yScale);
+//            if (this->aimMarker_)
+//            aimMarker_->setDimensions(aimMarkerSize_ * xScale, aimMarkerSize_ * yScale);
+	     if (tempRadarViewable->second.second)
+	      tempRadarViewable->second.second->setCharHeight(tempRadarViewable->second.second->getCharHeight() * yScale);
+	  }
+	}
     }
     
@@ -339,4 +362,5 @@
 // 	background_->addChild(activeObjectList_[object].first);
 // 	background_->addChild(activeObjectList_[object].second);
+	COUT(0) << "check 357" << std::endl;
     }
     
Index: code/branches/hudelements/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- code/branches/hudelements/src/modules/overlays/hud/HUDNavigation.h	(revision 6872)
+++ code/branches/hudelements/src/modules/overlays/hud/HUDNavigation.h	(revision 6873)
@@ -72,6 +72,7 @@
 
         // XMLPort accessors
-        void setNavMarkerSize(float size) { this->navMarkerSize_ = size; this->sizeChanged(); } 
-        float getNavMarkerSize() const    { return this->navMarkerSize_; }
+        void setNavMarkerSize(float size) { navMarkerSize_ = size; 
+					    this->sizeChanged(); } 
+        float getNavMarkerSize() const    { return navMarkerSize_; }
 
 /*
@@ -108,6 +109,6 @@
 	
 	std::string fontName_;
-	int textSize_;
-	
+	float textSize_;
+
     };
     
